Bug 60278 - string::erase() (and other containers) does not take const_iterators
Summary: string::erase() (and other containers) does not take const_iterators
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: libstdc++ (show other bugs)
Version: 4.8.2
: P3 normal
Target Milestone: 5.0
Assignee: Jonathan Wakely
URL:
Keywords:
Depends on:
Blocks: 24882
  Show dependency treegraph
 
Reported: 2014-02-19 23:38 UTC by Roy Crihfield
Modified: 2014-12-22 13:50 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2014-09-19 00:00:00


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roy Crihfield 2014-02-19 23:38:31 UTC
As of C++11, std::string::erase takes const_iterators in its signature. As of 4.8.2, this isn't the case. 

I see other bugs referencing similar issues - for instance, http://gcc.gnu.org/bugzilla/show_bug.cgi?id=54577 is marked as FIXED, but I see the signature of deque::erase is still wrong.
Comment 1 Jonathan Wakely 2014-02-19 23:53:57 UTC
deque::erase() is fixed for 4.9, string will be fixed after 4.9
Comment 2 Jonathan Wakely 2014-12-22 13:50:03 UTC
Fixed for GCC 5 (when using the new string ABI)